All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.storedprocess
Class StoredProcessServiceProxy

    com.sas.services.storedprocess.StoredProcessServiceProxy

All Implemented Interfaces:
  com.sas.entities.EntityKeyInterface, ServiceNotificationBroadcasterInterface, RemoteServiceInterface, StoredProcessServiceInterface, java.io.Serializable, java.rmi.Remote

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public class StoredProcessServiceProxy

implements StoredProcessServiceInterface, java.io.Serializable

Stored Process service proxy.

If this proxy is serialized to a remote process then the proxy will optimize calls to ensure that a local object reference is used where appropriate and that static data is cached locally to minimize remote calls.

Since:
  1.1
See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.sas.services.storedprocess.StoredProcessServiceInterface
`EVENT_NAME, NAMESPACE`

Fields inherited from interface com.sas.services.RemoteServiceInterface
`CLASS_IDENTIFIER, CLASS_IDENTIFIER_1_1, CLASS_IDENTIFIER_1_2, CLASS_IDENTIFIER_SERVICE_TYPE, CLASS_IDENTIFIER_SERVICE_TYPE_1_1, CLASS_IDENTIFIER_SERVICE_TYPE_1_2`

Constructor Summary
`StoredProcessServiceProxy(StoredProcessServiceInterface storedProcessService)` Constructs a proxy to the specified stored process service.

Method Summary
`java.lang.String` | `getClientName()` Returns the client name.
`java.lang.Object` | `newStoredProcess(int serverType, StoredProcessOptions options)` Create an instance of the current version of a Stored Process service object to be defined by the user.
`StoredProcessInterface` | `newStoredProcess(SessionContextInterface sessionContext, int serverType, int resultType)` Deprecated. This method has been deprecated since it is a pass through call to the deprecated `StoredProcessServiceInterface.newStoredProcess(SessionContextInterface, int, int)`.
`StoredProcessInterface` | `newStoredProcess(SessionContextInterface sessionContext, StoredProcessInterface storedProcessSmartObject)` Deprecated. This method has been deprecated since it is a pass through call to the deprecated `StoredProcessServiceInterface.newStoredProcess(SessionContextInterface, com.sas.services.storedprocess.metadata.StoredProcessInterface)`.
`java.lang.Object` | `newStoredProcess(StoredProcessInterface storedProcessSmartObject, StoredProcessOptions options)` Create an instance of a Stored Process service object from metadata using the provided smart object.
`void` | `setClientName(java.lang.String clientName)` Sets the client name.

Methods inherited from class com.sas.services.ServiceProxy
`addServiceObserver, configure, destroy, findRemoteService, getCreationTime, getEntityKey, getService, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, isLocalService, isProxyToRemoteService, notifyServiceObservers, reconfigure, removeAllServiceObservers, removeServiceObserver, sameEnitityKey, sameEntity, setEntityKey, setServiceState`

Methods inherited from interface com.sas.services.RemoteServiceInterface
`configure, destroy, getCreationTime, getServiceConfiguration, getServiceConfiguration, getServiceProxy, getServiceState, isAccessibleToRemoteClients, isExported, reconfigure, setServiceState`

Methods inherited from interface com.sas.entities.EntityKeyInterface
`getEntityKey, sameEntity, setEntityKey`

Methods inherited from interface com.sas.services.mgmt.ServiceNotificationBroadcasterInterface
`addServiceObserver, notifyServiceObservers, removeAllServiceObservers, removeServiceObserver`

Constructor Detail

### StoredProcessServiceProxy

    public StoredProcessServiceProxy(StoredProcessServiceInterface storedProcessService)
                              throws InitializationException

  Constructs a proxy to the specified stored process service.

  Parameters:
    `storedProcessService` - Stored process service to be proxied.
  Throws:
    `InitializationException` - if unable to create a proxy for the service.

Method Detail

### newStoredProcess

    public final StoredProcessInterface newStoredProcess(SessionContextInterface sessionContext,
                                                         StoredProcessInterface storedProcessSmartObject)
                                                  throws InitializationException,
                                                         TransportException,
                                                         java.rmi.RemoteException

  Deprecated. This method has been deprecated since it is a pass through call to the deprecated `StoredProcessServiceInterface.newStoredProcess(SessionContextInterface, com.sas.services.storedprocess.metadata.StoredProcessInterface)`.

  Create an instance of a Stored Process service object from metadata using the provided smart object.

  The typical client does not invoke this method, but uses the Information Service to find stored processes and invokes one of the newServiceObject methods of the `Stored Process smart object` to create new stored process service objects.

  Specified by:
    `newStoredProcess` in interface `StoredProcessServiceInterface`
  Parameters:
    `sessionContext` - specifies the `SessionContextInterface` under which the stored process will be exploited
    `storedProcessSmartObject` - specifies the stored process smart object which describes the stored process
  Returns:
    a `StoredProcessInterface` representing the created stored process object
  Throws:
    `InitializationException` - if the metadata was ill-formed or is not the original version
    `TransportException` - if the OMR layer encountered problems
    `java.rmi.RemoteException` - if a network anomaly is encountered.

### newStoredProcess

    public final java.lang.Object newStoredProcess(StoredProcessInterface storedProcessSmartObject,
                                                   StoredProcessOptions options)
                                            throws InitializationException,
                                                   TransportException,
                                                   java.rmi.RemoteException

  Description copied from interface: `StoredProcessServiceInterface`
  Create an instance of a Stored Process service object from metadata using the provided smart object.

  The typical client does not invoke this method, but uses the Information Service to find stored processes and invokes one of the newServiceObject methods of the `Stored Process smart object` to create a service object.

  The `StoredProcessOptions` options parameter controls behavior as follows:

  - SessionContext. If no SessionContext is set, the created service object will access the SessionContext from the smart object. SessionContext is typically set if it is desired that the service object use a SessionContext for execution which is different from that available from the smart object.
  - UsageVersion. This setting is only valid for manually created stored processes, that is for stored processes that are not backed by an object in metadata. For compatibility reasons, the behavior for such stored processes is that of a 9.2 (`StoredProcessInterface.NINETWO_VERSION`) stored process based service object.
  The smart object supplied must be `read compatible` for a service object to be returned.

  Specified by:
    `newStoredProcess` in interface `StoredProcessServiceInterface`
  Parameters:
    `storedProcessSmartObject` - the smart object from which the service object is created
    `options` - controls behavior as described
  Returns:
    a service object as described
  Throws:
    `InitializationException` - if the metadata was ill-formed or the smart object was ill-formed or not read compatible
    `TransportException`
    `java.rmi.RemoteException`

### newStoredProcess

    public final StoredProcessInterface newStoredProcess(SessionContextInterface sessionContext,
                                                         int serverType,
                                                         int resultType)
                                                  throws java.lang.IllegalArgumentException,
                                                         java.rmi.RemoteException

  Deprecated. This method has been deprecated since it is a pass through call to the deprecated `StoredProcessServiceInterface.newStoredProcess(SessionContextInterface, int, int)`.

  Create an instance of a Stored Process to be defined by the user

  Specified by:
    `newStoredProcess` in interface `StoredProcessServiceInterface`
  Parameters:
    `sessionContext` - specifies the `SessionContextInterface` under which the stored process will be exploited, can be null
    `serverType` - specifies the server on which this stored process will execute. Either
    - `StoredProcessInterface.SERVER_TYPE_STOREDPROCESS` or
    - `StoredProcessInterface.SERVER_TYPE_WORKSPACE`
    `resultType` - specifies the type of result. If the serverType is `StoredProcessInterface. SERVER_TYPE_STOREDPROCESS` valid values for resultType are
    - `StoredProcessInterface.RESULT_TYPE_NONE`
    - `StoredProcessInterface.RESULT_TYPE_STREAM`
    - `StoredProcessInterface.RESULT_TYPE_PERMANENT_WEBDAV_PACKAGE`
    If the serverType is `StoredProcessInterface.SERVER_TYPE_WORKSPACE` valid values for resultType are
    - `StoredProcessInterface.RESULT_TYPE_NONE`
    - `StoredProcessInterface.RESULT_TYPE_TRANSIENT_PACKAGE`
    - `StoredProcessInterface.RESULT_TYPE_PERMANENT_FILE_PACKAGE`
    - `StoredProcessInterface.RESULT_TYPE_PERMANENT_WEBDAV_PACKAGE`
  Returns:
    a `StoredProcessInterface` representing the created stored process object
  Throws:
    `java.rmi.RemoteException` - if a network anomaly is encountered.
    `java.lang.IllegalArgumentException` - if an invalid value is specified for serverType or resultType.

### newStoredProcess

    public final java.lang.Object newStoredProcess(int serverType,
                                                   StoredProcessOptions options)
                                            throws java.lang.IllegalArgumentException,
                                                   InitializationException,
                                                   java.rmi.RemoteException

  Description copied from interface: `StoredProcessServiceInterface`
  Create an instance of the current version of a Stored Process service object to be defined by the user.

  The `StoredProcessOptions` options parameter controls behavior as follows:

  - SessionContext. If no SessionContext is set, the created service object will not have an associated SessionContext or UserContext.

  Specified by:
    `newStoredProcess` in interface `StoredProcessServiceInterface`
  Parameters:
    `serverType` - specifies the server on which this stored process will execute. Either
    - `StoredProcessBaseInterface.SERVER_TYPE_STOREDPROCESS` or
    - `StoredProcessBaseInterface.SERVER_TYPE_WORKSPACE`
    Stored Process results are specified using the prompts and the stored process is created with both stream and package capability if the server type is `StoredProcessBaseInterface.SERVER_TYPE_STOREDPROCESS` and with only package capability if the serverType is `StoredProcessBaseInterface.SERVER_TYPE_WORKSPACE`.
    `options` - as described above
  Returns:
    a Stored Process service object; null otherwise
  Throws:
    `InitializationException` - if there was an initialization exception of some kind
    `java.rmi.RemoteException` - if a network anomaly is encountered
    `java.lang.IllegalArgumentException`

### getClientName

    public java.lang.String getClientName()
                                   throws java.rmi.RemoteException

  Description copied from interface: `StoredProcessServiceInterface`
  Returns the client name. Will be null unless the most recent call to `StoredProcessServiceInterface.setClientName(String)` was with a non-null parameter.

  Specified by:
    `getClientName` in interface `StoredProcessServiceInterface`
  Returns:
    the client name
  Throws:
    `java.rmi.RemoteException`

### setClientName

    public void setClientName(java.lang.String clientName)
                       throws java.rmi.RemoteException

  Description copied from interface: `StoredProcessServiceInterface`
  Sets the client name. The client name should only be set via this method if the service is not being shared by multiple clients.

  Specified by:
    `setClientName` in interface `StoredProcessServiceInterface`
  Parameters:
    `clientName` - client name
  Throws:
    `java.rmi.RemoteException`

*** This class provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.